// Copyright Metatype OÜ, licensed under the Mozilla Public License Version 2.0.
// SPDX-License-Identifier: MPL-2.0
import "./_dnt.polyfills.js";
export function read() {
    return { tag: "read" };
}
export function create(idempotent = false) {
    return { tag: "create", val: idempotent };
}
export function delete_(idempotent = true) {
    return { tag: "delete", val: idempotent };
}
export function update(idempotent = false) {
    return { tag: "update", val: idempotent };
}
export const UPDATE = Symbol("update");
export const DELETE = Symbol("delete");
export const CREATE = Symbol("create");
export const READ = Symbol("read");
